%define	upstream_name	 Module-Load-Conditional
%define upstream_version 0.68

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Looking up module information / loading at runtime
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Module::CoreList) >= 2.220.0
BuildRequires: perl(Module::Load) >= 0.280.0
BuildRequires: perl(Module::Metadata) >= 1.0.5
BuildRequires: perl(Params::Check)
BuildRequires: perl(Test::More)
BuildRequires: perl(version) >= 0.690.0
BuildArch:  noarch

%description
Module::Load::Conditional provides simple ways to query and possibly load any
of the modules you have installed on your system during runtime.

It is able to load multiple modules at once or none at all if one of them was
not able to load. It also takes care of any error checking and so forth.

It allows you to fetch any file pointed to by a ftp, http, file, or rsync uri
by a number of different means.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files 
%doc CHANGES META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Module
%{_mandir}/*/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.680.0-2pclos2017
- rebuild against updates

